Package org.eclipse.ui.part

# Interface IPageBookViewPage

All Superinterfaces:
  `IPage`

All Known Subinterfaces:
  `ISearchResultPage`, `ITemplatesPage`

All Known Implementing Classes:
  `AbstractTemplatesPage`, `AbstractTextSearchViewPage`, `CompareOutlinePage`, `ContentOutlinePage`, `HistoryPage`, `MessagePage`, `Page`, `PropertySheetPage`, `TabbedPropertySheetPage`, `TextConsolePage`

public interface IPageBookViewPage extends IPage
Interface for a page in a pagebook view.

Pages should implement this interface.

See Also:
  - `PageBookView`
  - `Page`

## Method Summary

Modifier and Type
Method
Description
`IPageSite`
`getSite()`
Returns the site for this page.
`void`
`init(IPageSite site)`
Initializes this page with the given page site.

### Methods inherited from interface org.eclipse.ui.part.IPage

`createControl, dispose, getControl, setActionBars, setFocus`

## Method Details

### getSite

IPageSite getSite()
Returns the site for this page. May be `null` if no site has been set.

Returns:
  the page site or `null`

### init

void init(IPageSite site) throws PartInitException
Initializes this page with the given page site.

This method is automatically called by the workbench shortly after page construction. It marks the start of the pages's lifecycle. Clients must not call this method.

Parameters:
  `site` - the page site
Throws:
  `PartInitException` - if this page was not initialized successfully